module.exports = {
  create: {
    requestBody: [
      '!uid',
      'company_name',
      'registered_addr',
      'business_addr',
      'profession_one',
      'profession_two',
      'profession_three',
      'profession_four',
      'contacts',
      'contact_number',
      'contact_position',
      'contact_email',
      'telephone',
      'finance_info',
      'other_info'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'uid',
      'company_name',
      'introduction',
      'registered_addr',
      'business_addr',
      'profession_one',
      'profession_two',
      'profession_three',
      'profession_four',
      'contacts',
      'contact_number',
      'contact_position',
      'contact_email',
      'telephone',
      'finance_info',
      'other_info'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        uid:'uid',
        company_name:'%company_name%',
        introduction:'introduction',
        registered_addr:'registered_addr',
        business_addr :'business_addr',
        profession_one:'profession_one',
        profession_two: 'profession_two',
        profession_three: 'profession_three',
        profession_four: 'profession_four',
        contacts:'contacts',
        contact_number :'contact_number',
        contact_position:'contact_position',
        contact_email :'contact_email',
        telephone :'telephone',
        finance_info :'finance_info',
        other_info :'other_info'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
