module.exports = {
  create: {
    requestBody: [
      '!uid',
      '!name',
      '!position',
      '!gender',
      '!email',
      '!telephone',
      '!phone',
      '!contact_addr_city',
      '!contact_addr_area',
      '!detail_addr',
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'uid',
      'name',
      'position',
      'gender',
      'email',
      'telephone',
      'phone',
      'contact_addr_city',
      'contact_addr_area',
      'detail_addr',
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        uid :'uid',
        name :'%name%',
        position:'position',
        gender :'gender',
        email:'email',
        telephone:'telephone',
        phone:'phone',
        contact_addr_city:'contact_addr_city',
        contact_addr_area:'contact_addr_area',
        detail_addr :'detail_addr',
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
