module.exports = {
  create: {
    requestBody: [
      '!uid',
      '!name',
      '!logo',
      '!type',
      'profession',
      'round',
      'form',
      'representative',
      'business_addr',
      'belong_addr',
      'registered_addr',
      'establish_time',
      'introduction',
      'code',
      'size',
      'registered_capital',
      'contributed_capital',
      'status'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'uid',
      'name',
      'logo',
      'type',
      'profession',
      'round',
      'form',
      'representative',
      'business_addr',
      'belong_addr',
      'registered_addr',
      'establish_time',
      'introduction',
      'code',
      'size',
      'registered_capital',
      'contributed_capital',
      'status'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        uid :'uid',
        name :'%name%',
        logo:'logo',
        type:'type',
        profession:'profession',
        round:'round',
        form:'form',
        representative :'representative',
        business_addr:'business_addr',
        belong_addr:'belong_addr',
        registered_addr :'registered_addr',
        establish_time:'establish_time',
        introduction:'introduction',
        code :'code',
        size:'size',
        registered_capital :'registered_capital',
        contributed_capital :'contributed_capital',
        status:'status'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
