module.exports = {
    create: {
        requestBody: [
            '!contact',
            '!phone',
            'additional_explanation',
            '!policy_declaration_id',
            '!uid',
            '!declaration_matters',
            'approval_info',
            'policy_declaration_title',
            'company_name',
            'current_state',
            'current_state_description',
            'current_result_description',
            'current_state_time',
            'current_approval_id',
            'create_time',
            'update_time',
            'current_approval'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'contact',
            'phone',
            'additional_explanation',
            'policy_declaration_id',
            'uid',
            'declaration_matters',
            'approval_info',
            'policy_declaration_title',
            'company_name',
            'current_state',
            'current_state_description',
            'current_result_description',
            'current_state_time',
            'current_approval_id',
            'create_time',
            'update_time',
            'current_approval'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                contact:'%contact%',
                phone:'phone',
                additional_explanation:'additional_explanation',
                policy_declaration_id:'policy_declaration_id',
                uid:'uid',
                declaration_matters:'declaration_matters',
                approval_info:'approval_info',
                policy_declaration_title:'%policy_declaration_title%',
                company_name:'%company_name%',
                current_state:'%current_state%',
                current_state_description:'%current_state_description%',
                current_result_description:'%current_result_description%',
                current_state_time:'current_state_time',
                current_approval_id:'current_approval_id',
                create_time: 'create_time',
                update_time: 'update_time',
                current_approval:'%current_approval%'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
