module.exports = {
    create: {
        requestBody: [
            '!type',
            'type_description',
            '!title',
            '!service',
            '!image',
            '!description',
            '!contact',
            '!phone',
            'email'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'type',
            'type_description',
            'title',
            'service',
            'image',
            'description',
            'contact',
            'phone',
            'email'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                type:'type',
                type_description:'type_description',
                title:'%title%',
                service:'%service%',
                image:'image',
                description:'%description%',
                contact:'%contact%',
                phone:'phone',
                email:'email'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
