module.exports = {
    create: {
        requestBody: [
            '!name',
            '!gender',
            'company',
            'job',
            '!work_history',
            '!result',
            'field',
            '!image'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'name',
            'gender',
            'company',
            'job',
            'work_history',
            'result',
            'field',
            'image'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                name:'%name%',
                gender:'gender',
                company:'%company%',
                job:'%job%',
                work_history:'%work_history%',
                result:'%result%',
                field:'%field%',
                image:'image'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
