module.exports = {
    create: {
        requestBody: [
            '!title',
            '!issuing_organ',
            'index_number',
            '!subject_classification',
            'issued_number',
            '!subject_headings',
            'publish_time',
            'publish_state',
            'publish_state_description',
            'brief_introduction',
            '!description',
            'create_time',
            'update_time',
            'source'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'title',
            'issuing_organ',
            'index_number',
            'subject_classification',
            'issued_number',
            'subject_headings',
            'publish_time',
            'publish_state',
            'publish_state_description',
            'brief_introduction',
            'description',
            'create_time',
            'update_time',
            'source'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                title:'%title%',
                issuing_organ:'issuing_organ',
                index_number:'index_number',
                subject_classification:'subject_classification',
                issued_number:'issued_number',
                subject_headings:'subject_headings',
                publish_time:'publish_time',
                publish_state:'publish_state',
                publish_state_description:'publish_state_description',
                brief_introduction:'brief_introduction',
                description:'description',
                create_time: 'create_time',
                update_time: 'update_time',
                source: '%source%'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
