module.exports = {
    create: {
        requestBody: [
            '!demand_id',
            'money',
            'use',
            'project_status',
            'mongey_min_rate',
            'mongey_max_rate',
            'claims_min_term',
            'claims_max_term',
            '!ensure_id',
            'ensure_name',
            'remarks',
            'cdata',
            'type',
            'userid',
            'company_name',
            '!jg_id',
            'institution_name',
            '!jg_pro_id',
            'product_name',
            '!government_id',
            'government_name',
            'status',
            'time',
            'reason',
            'handle_message',
            'handle_time',
            'company_type',
            'person',
            'phone',
            'opening_bank',
            'orientation',
            'when'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'demand_id',
            'money',
            'use',
            'project_status',
            'mongey_min_rate',
            'mongey_max_rate',
            'claims_min_term',
            'claims_max_term',
            'ensure_id',
            'ensure_name',
            'remarks',
            'cdata',
            'type',
            'userid',
            'company_name',
            'jg_id',
            'institution_name',
            'jg_pro_id',
            'product_name',
            'government_id',
            'government_name',
            'status',
            'time',
            'reason',
            'handle_message',
            'handle_time',
            'company_type',
            'person',
            'phone',
            'opening_bank',
            'orientation',
            'when'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                demand_id:'demand_id',
                money:'money',
                use:'%use%',
                project_status:'project_status',
                mongey_min_rate:'mongey_min_rate',
                mongey_max_rate:'mongey_max_rate',
                claims_min_term:'claims_min_term',
                claims_max_term:'claims_max_term',
                ensure_id:'ensure_id',
                ensure_name:'%ensure_name%',
                remarks:'remarks',
                cdata:'cdata',
                type:'%type%',
                userid:'userid',
                company_name:'%company_name%',
                jg_id:'jg_id',
                institution_name:'%institution_name%',
                jg_pro_id:'jg_pro_id',
                product_name:'%product_name%',
                government_id:'government_id',
                government_name:'%government_name%',
                status:'%status%',
                time:'time',
                reason:'%reason%',
                handle_message:'%handle_message%',
                handle_time:'handle_time',
                company_type:'%company_type%',
                person:'%person%',
                phone:'phone',
                opening_bank:'opening_bank',
                orientation:'orientation',
                when:'when'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
