module.exports = {
    create: {
        requestBody: [
            '!title',
            'image',
            'brief_introduction',
            '!description',
            'publish_time',
            'publish_state',
            'publish_state_description',
            'source',
            'hot'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'title',
            'image',
            'brief_introduction',
            'description',
            'publish_time',
            'publish_state',
            'publish_state_description',
            'source',
            'hot'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                title:'%title%',
                image:'image',
                brief_introduction:'%brief_introduction%',
                description:'description',
                publish_time:'publish_time',
                publish_state:'%publish_state%',
                publish_state_description:'publish_state_description',
                source:'source',
                hot:'hot'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
