module.exports = {
    create: {
        requestBody: [
            '!title',
            '!issuing_organ',
            'index_number',
            '!subject_classification',
            'issued_number',
            '!subject_headings',
            'publish_time',
            'brief_introduction',
            '!description',
            '!type',
            'type_description',
            'link',
            'current_state',
            'current_state_description',
            'current_result_description',
            'current_state_time',
            'current_approval_id',
            'current_approval',
            'approval_info',
            'image',
            'create_time',
            'update_time',
            'enclosure'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'title',
            'issuing_organ',
            'index_number',
            'subject_classification',
            'issued_number',
            'subject_headings',
            'publish_time',
            'brief_introduction',
            'description',
            'type',
            'type_description',
            'link',
            'current_state',
            'current_state_description',
            'current_result_description',
            'current_state_time',
            'current_approval_id',
            'current_approval',
            'approval_info',
            'image',
            'create_time',
            'update_time',
            'enclosure'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                title:'%title%',
                issuing_organ:'issuing_organ',
                index_number:'index_number',
                subject_classification:'subject_classification',
                issued_number:'issued_number',
                subject_headings:'subject_headings',
                publish_time:'publish_time',
                brief_introduction:'brief_introduction',
                description:'description',
                type:'type',
                type_description:'type_description',
                link:'link',
                current_state:'current_state',
                current_state_description:'%current_state_description%',
                current_result_description:'%current_result_description%',
                current_state_time:'current_state_time',
                current_approval_id:'current_approval_id',
                current_approval:'%current_approval%',
                approval_info:'approval_info',
                image: 'image',
                create_time: 'create_time',
                update_time: 'update_time',
                enclosure:'enclosure'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
