module.exports = {
    create: {
        requestBody: [
            'title',
            'image',
            'brief_introduction',
            'description',
            '!policy_declaration_id',
            'policy_declaration_title',
            'create_time'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'title',
            'image',
            'brief_introduction',
            'description',
            'policy_declaration_id',
            'policy_declaration_title',
            'create_time'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                title:'%title%',
                image: 'image',
                brief_introduction:'brief_introduction',
                description:'description',
                policy_declaration_id:'policy_declaration_id',
                policy_declaration_title:'%policy_declaration_title%',
                create_time: 'create_time'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
