'use strict';

const _ = require('lodash');
const meta = require('./.financeclaims.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 债权产品 
class FubabceClaimsController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.financeclaims;
  }

  //获取热门推荐
  async top() {
    const res = await this.service.getTop(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

  //债券信息列表（包含融资期限，担保方式，融资额度，机构名称，餐品名称给 查询）
  async claimsList(){
    const res = await this.service.getClaimsList(this.ctx.request.body);
    this.ctx.ok({ ...res });
  }

  //债券信息发布（0-未发布，1-发布）
  async publish(){
    const res = await this.service.makePublish(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

  //修改前要请求的接口（判断是否是发布过的内容： 如果发布过 不可修改 ； 未发布 可修改）
  async orUpdate(){
    const res = await this.service.getOrUpdate(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

  //根据金融机构ID返回债权产品（指返回名字和ID）
  async justNameId(){
    const res = await this.service.getJustNameId(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

}

module.exports = CrudController(FubabceClaimsController, meta);
