'use strict';

const _ = require('lodash');
const meta = require('./.financefollow.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 金融机构关注表 
class FinanceFollowController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.financefollow;
  }

    //授信接口
    async credit() {
      const res = await this.service.getCredit(this.ctx.request.body);
      this.ctx.ok({ data: res });
    }
  
    //授信关注债权列表
    async followlist() {
      const res = await this.service.getFollowList(this.ctx.request.body);
      this.ctx.ok({ ... res });
    }

    //授信关注股权列表
    async followstock() {
      const res = await this.service.getFollowstock(this.ctx.request.body);
      this.ctx.ok({ ... res });
    }

    //完成债权历史列表
    async followClaimHistory() {
      const res = await this.service.getFollowClaimHistory(this.ctx.request.body);
      this.ctx.ok({ ... res });
    }

     //完成债权历史列表
     async firstsuccess() {
      const res = await this.service.getFirstsuccess(this.ctx.request.body);
      this.ctx.ok({ ... res });
    }

    async finceNews() {
      const res = await this.service.getFinceNews(this.ctx.request.body);
      this.ctx.ok({data: res });
    }

    async threenews() {
      const res = await this.service.getThreenews();
      this.ctx.ok({data: res });
    }

    
}

module.exports = CrudController(FinanceFollowController, meta);
