'use strict';

const _ = require('lodash');
const meta = require('./.institution.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class InstitutionController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.institution;
  }

  //股权信息发布（0-未发布，1-发布）
  async publish(){
    const res = await this.service.makePublish(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

  //查询股权信息详情
  async one(){
    const res = await this.service.getOne(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

}

module.exports = CrudController(InstitutionController, meta);
