'use strict';

const _ = require('lodash');
const meta = require('./.intelligentDocking.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

class IntelligentDockingController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.intelligentDocking;
  }

  async intelligentDocking() {
    const res = await this.service.intelligentDocking(this.ctx.request.body);
    this.ctx.ok(res);
  }

  async dockingSearch() {
    const res = await this.service.dockingFinance(this.ctx.request.body);
    this.ctx.ok(res);
  }

  async refuseDocking() {
    const res = await this.service.refuse(this.ctx.request.body);
    this.ctx.ok(res);
  }

}

module.exports = CrudController(IntelligentDockingController, meta);
