'use strict';

const _ = require('lodash');
const meta = require('./.intelligentFollow.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 银企对接关注表
class IntelligentFollowController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.intelligentFollow;
  }

  // 授信接口
  async credit() {
    const res = await this.service.getCredit(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

  // 关注列表
  async getFollowList() {
    const res = await this.service.getFollowList(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }
  // 已完成列表
  async getFinishList() {
    const res = await this.service.getFinishList(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

  // 金融机构关注需求
  async followIntelligent() {
    const res = await this.service.getFollow(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

  // 关注前请求的接口
  async beforFollow() {
    const res = await this.service.getBeforFollow(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

}

module.exports = CrudController(IntelligentFollowController, meta);
