'use strict';

const _ = require('lodash');
const meta = require('./.intelligentDocking.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

class PhoneMessageController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.phoneMessage;
  }

  // 验证码
  async sendMessage() {
    const res = await this.service.sendMessage(this.ctx.request.body);
    this.ctx.ok({ data: res });

  }

  // 短信提醒
  async smsRemind() {
    const res = await this.service.smsRemind(this.ctx.request.body);
    this.ctx.ok({ data: res });

  }

  // OCR
  async getMessage() {
    const res = await this.service.getMessage(this.ctx.request.body);
    this.ctx.ok(res);

  }
}

module.exports = CrudController(PhoneMessageController, meta);
