'use strict';

const _ = require('lodash');
const meta = require('./.tDeclarationApproval.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class TDeclarationApprovalController extends Controller {

    constructor(ctx) {
        super(ctx);
        this.service = this.ctx.service.tDeclarationApproval;
    }

    // 检查方法
    async check() {
        const res = await this.service.check(this.ctx.query);
        this.ctx.ok({ data: res });
    }

    // 修改状态方法
    async state() {
        const res = await this.service.state(this.ctx.request.body);
        this.ctx.ok({ data: res });
    }

}

module.exports = CrudController(TDeclarationApprovalController, meta);
