'use strict';

const _ = require('lodash');
const meta = require('./.tGovernmentStatistics.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class TGovernmentStatisticsController extends Controller {

    constructor(ctx) {
        super(ctx);
        this.service = this.ctx.service.tGovernmentStatistics;
    }

    // 企业发布需求金额
    async demandAmount() {
        const res = await this.service.demandAmount(this.ctx.query);
        this.ctx.ok({ data: res });
    }

    // 解决融资
    async financingSolution() {
        const res = await this.service.financingSolution(this.ctx.query);
        this.ctx.ok({ data: res });
    }

    // 注册企业年月
    async companyDate() {
        const res = await this.service.companyDate(this.ctx.query);
        this.ctx.ok({ data: res });
    }

    // 注册企业行业
    async companyIndustry() {
        const res = await this.service.companyIndustry(this.ctx.query);
        this.ctx.ok({ ...res });
    }

    // 注册企业地区
    async companyRegion() {
        const res = await this.service.companyRegion(this.ctx.query);
        this.ctx.ok({ ...res });
    }

    // 帮助企业年月
    async helpBusinessesDate() {
        const res = await this.service.helpBusinessesDate(this.ctx.query);
        this.ctx.ok({ data: res });
    }

    // 帮助企业行业
    async helpBusinessesIndustry() {
        const res = await this.service.helpBusinessesIndustry(this.ctx.query);
        this.ctx.ok({ ...res });
    }

    // 帮助企业地区
    async helpBusinessesRegion() {
        const res = await this.service.helpBusinessesRegion(this.ctx.query);
        this.ctx.ok({ ...res });
    }

    // 企业发布需求
    async needCount() {
        const res = await this.service.needCount(this.ctx.query);
        this.ctx.ok({ data: res });
    }

    // 金融产品
    async financialProducts() {
        const res = await this.service.financialProducts(this.ctx.query);
        this.ctx.ok({ data: res });
    }

    // 服务金融机构
    async financialInstitution() {
        const res = await this.service.financialInstitution(this.ctx.query);
        this.ctx.ok({ ...res });
    }

    // 首页查询
    async pageSelect() {
        const res = await this.service.pageSelect(this.ctx.query);
        this.ctx.ok({ data: res });
    }

    // 银行统计
    async bank() {
        const res = await this.service.bank(this.ctx.query);
        this.ctx.ok({ ...res });
    }

}

module.exports = CrudController(TGovernmentStatisticsController, meta);
