'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose/lib/model/schema');




// 小微数贷产品表（金融数字超市）
const LoanproSchema = {
  name: { type: String, required: true, maxLength: 200 ,select: true}, // 产品名称
  mongey_min_rate: { type: Number, required: true, maxLength: 200  ,select: true}, // 利率范围（小）
  mongey_max_rate: { type: Number, required: true  ,select: true}, // 利率范围（大）
  claims_min_term: { type: Number, required: true, maxLength: 500 ,select: true }, // 贷款期限（小）
  claims_max_term: { type: Number, required: true, maxLength: 500  ,select: true}, // 贷款期限（大）
  ensure_id: { type: String, required: true, maxLength: 200  ,select: true}, // 担保方式（应该是担保字典CODE）
  repayment_id: { type: String, required: true, maxLength: 200  ,select: true}, // 还款方式（应该是担保字典CODE）
  claims_min_money: { type: Number, required: true, maxLength: 200  ,select: true}, // 贷款额度（小）
  claims_max_money: { type: Number, required: true, maxLength: 200  ,select: true}, // 贷款额度（大）
  jkid: { type: String, required: true, maxLength: 200  ,select: true}, //金控集团ID
  status: { type: String,maxLength: 200,default:'0'}, // 状态，0存在，1-下架
  news: { type: String, select: true }, // 产品简介
};


const schema = new Schema(LoanproSchema, { toJSON: { virtuals: true } });
schema.index({ jkid: 1 });
schema.index({ ensure_id: 1 });
schema.index({ repayment_id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Loanpro', schema, 'loan_pro');
};
