'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose/lib/model/schema');

// 国民经济行业分类表
const ProfessionSchema = {
  code: { type: String, required: true, maxLength: 200 }, // 代码
  name: { type: String, required: true, maxLength: 200 }, // 名称
  pcode: { type: String, required: true, maxLength: 200 }, // 前一级code
};


const schema = new Schema(ProfessionSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ pcode: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Profession', schema, 'profession');
};
