'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const {Secret} = require('naf-framework-mongoose/lib/model/schema');

// 指导单位
const TGuidanceUnitSchema = {
    name: {type: String, required: true},//名称
    image: {type: String, required: true},//图片
    link: {type: String, required: true},//链接
};


const schema = new Schema(TGuidanceUnitSchema, {toJSON: {virtuals: true}});
schema.index({id: 1});
schema.plugin(metaPlugin);

module.exports = app => {
    const {mongoose} = app;
    return mongoose.model('TGuidanceUnit', schema, 't_guidance_unit');
};
