'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const {Secret} = require('naf-framework-mongoose/lib/model/schema');

// 信息发布管理
const TInformationDeliverySchema = {
    title: {type: String, required: true},//标题
    issuing_organ: {type: String, required: true},//发文机关
    index_number: {type: String, required: false},//索引号
    subject_classification: {type: String, required: true},//主题分类
    issued_number: {type: String, required: false},//发文字号
    subject_headings: {type: String, required: true},//主题词
    publish_time: {type: Number},//发布日期
    publish_state: {type: String, default: '0'},//发布状态，0-未发布，1-已发布
    publish_state_description: {type: String, default: '未发布'},//发布状态描述，0-未发布，1-已发布
    brief_introduction: {type: String, required: false},//简介
    description: {type: String, required: true},//内容
    create_time: {type: Number, default: Date.now},//创建时间
    update_time: {type: Number, default: Date.now},//更新时间
    source: {type: String, required: false},//来源
};


const schema = new Schema(TInformationDeliverySchema, {toJSON: {virtuals: true}});
schema.index({id: 1});
schema.plugin(metaPlugin);

module.exports = app => {
    const {mongoose} = app;
    return mongoose.model('TInformationDelivery', schema, 't_information_delivery');
};
