'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose/lib/model/schema');

// 指派表
const TNewAssignSchema = {
    demand_id:{type: String, required: true},//需求id
    money:{type: String, required: false},//融资金额
    use:{type: String, required: false},//融资用途
    project_status:{type: String, required: false},//项目情况
    mongey_min_rate: { type: Number, required: false}, // 期望利率范围（小）
    mongey_max_rate: { type: Number, required: false }, // 期望利率范围（大）
    claims_min_term: { type: Number, required: false }, // 期望融资期限（小）
    claims_max_term: { type: Number, required: false }, // 期望融资期限（大）
    ensure_id: { type: String, required: true}, // 担保方式
    ensure_name: { type: String, required: false}, // 担保方式名称
    remarks: { type: String, required: false}, // 备注
    cdata: { type: String, required: false}, // 辅助资料（文件URL）
    type:{type: String, required: false},//类型，1-债权，2-智能对接
    userid:{type: String, required: true},//企业ID
    company_name:{type: String, required: false},//企业名称
    jg_id:{type: String, required: true},//金融机构ID
    institution_name:{type: String, required: false},//金融机构名称
    jg_pro_id:{type: String, required: true},//产品ID
    product_name:{type: String, required: false},//产品名称
    government_id:{type: String, required: true},//政府ID
    government_name:{type: String, required: false},//政府名称
    status:{type: String, required: false,default: '1'},//状态，1-新建
    time:{type: String, required: false, default: Date.now},//指派时间
    reason:{type: String, required: false},//指派原因
    handle_message:{type: String, required: false},//处理信息
    handle_time:{type: Number, required: false},//处理时间
    company_type:{type: String, required: false},//机构类型，1-政府机构，2-金控集团
    person: { type: String, required: false}, // 联系人
    phone: { type: String, required: false}, // 手机号
    opening_bank: { type: String, required: false }, // 首选开户行
    orientation: { type: [ String ], required: false }, // 融资取向
    when: { type: String, required: false}, // 预计何时有融资需求
};


const schema = new Schema(TNewAssignSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
    const { mongoose } = app;
    return mongoose.model('tNewAssign', schema, 't_new_assign');
};
