'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const {Secret} = require('naf-framework-mongoose/lib/model/schema');

// 政策解读管理
const TPolicyInterpretationSchema = {
    title: {type: String, required: false},//标题
    image: {type: String, required: false},//图片
    brief_introduction: {type: String, required: false},//摘要
    description: {type: String, required: false},//内容
    policy_declaration_id: {type: String, required: true},//政策申报内容管理id
    policy_declaration_title: {type: String, required: false},//政策申报内容管理标题
    create_time: {type: Number, default: Date.now},//创建时间
};


const schema = new Schema(TPolicyInterpretationSchema, {toJSON: {virtuals: true}});
schema.index({id: 1});
schema.plugin(metaPlugin);

module.exports = app => {
    const {mongoose} = app;
    return mongoose.model('TPolicyInterpretation', schema, 't_policy_interpretation');
};
