'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);

  // 其他用户表设置路由
  router.resources('otheruser', '/api/financial/otheruser', controller.otheruser); // index、create、show、destroy
  router.post('otheruser', '/api/financial/otheruser/update/:id', controller.otheruser.update);
  router.post('otheruser', '/api/financial/otheruser/login', controller.otheruser.login);
  router.post('otheruser', '/api/financial/otheruser/uppasswd', controller.otheruser.uppasswd);

  // 企业用户表设置路由
  router.resources('companyuser', '/api/financial/companyuser', controller.companyuser); // index、create、show、destroy
  router.post('companyuser', '/api/financial/companyuser/update/:id', controller.companyuser.update);
  router.post('companyuser', '/api/financial/companyuser/login', controller.companyuser.login);
  router.post('companyuser', '/api/financial/companyuser/uppasswd', controller.companyuser.uppasswd);

  // 企业信息表设置路由
  router.resources('company', '/api/financial/company', controller.company); // index、create、show、destroy
  router.post('company', '/api/financial/company/update/:id', controller.company.update);
  router.post('company', '/api/financial/company/updateotherinfo/:id', controller.company.updateotherinfo);
  router.delete('company', '/api/financial/company/deleteotherinfo/:id', controller.company.deleteotherinfo);

  // 金融机构信息表设置路由
  router.resources('institution', '/api/financial/institution', controller.institution); // index、create、show、destroy
  router.post('institution', '/api/financial/institution/update/:id', controller.institution.update);
  router.post('institution', '/api/financial/institution/publish', controller.institution.publish);// 股权发布
  router.post('institution', '/api/financial/institution/one', controller.institution.one);// 股权详情

  // 菜单权限表设置路由
  router.resources('menurole', '/api/financial/menurole', controller.menurole); // index、create、show、destroy
  router.post('menurole', '/api/financial/menurole/update/:id', controller.menurole.update);
  router.post('menurole', '/api/financial/menurole/menurole', controller.menurole.menurole);

  // 企业认证信息表设置路由
  router.resources('companyidentify', '/api/financial/companyidentify', controller.companyidentify); // index、create、show、destroy
  router.post('companyidentify', '/api/financial/companyidentify/update/:id', controller.companyidentify.update);
  router.post('companyidentify', '/api/financial/companyidentify/status/:id', controller.companyidentify.status);

  // 企业修改信息表设置路由
  router.resources('companyup', '/api/financial/companyup', controller.companyup); // index、create、show、destroy
  router.post('companyup', '/api/financial/companyup/update/:id', controller.companyup.update);
  router.post('companyup', '/api/financial/companyup/status/:id', controller.companyup.status);

  // 债券表设置路由
  router.resources('financeclaims', '/api/financial/financeclaims', controller.financeclaims); // index、create、show、destroy
  router.post('financeclaims', '/api/financial/financeclaims/update/:id', controller.financeclaims.update);
  router.post('financeclaims', '/api/financial/financeclaims/claimsList', controller.financeclaims.claimsList);// 债券列表
  router.post('financeclaims', '/api/financial/financeclaims/publish', controller.financeclaims.publish);// 债券发布
  router.post('financeclaims', '/api/financial/financeclaims/orUpdate', controller.financeclaims.orUpdate);// 修改前要请求的接口（判断是否是发布过的内容： 如果发布过 不可修改 ； 未发布 可修改）

  // 用户角色表设置路由
  router.resources('character', '/api/financial/character', controller.character); // index、create、show、destroy
  router.post('character', '/api/financial/character/update/:id', controller.character.update);

  // 债券表设置路由
  router.resources('financeclaims', '/api/financial/financeclaims', controller.financeclaims); // index、create、show、destroy
  router.post('financeclaims', '/api/financial/financeclaims/update/:id', controller.financeclaims.update);
  router.post('financeclaims', '/api/financial/financeclaims/claimsList', controller.financeclaims.claimsList);// 债券列表
  router.post('financeclaims', '/api/financial/financeclaims/publish', controller.financeclaims.publish);// 债券发布
  router.post('financeclaims', '/api/financial/financeclaims/top', controller.financeclaims.top);// 获取精品推荐
  router.post('financeclaims', '/api/financial/financeclaims/orUpdate', controller.financeclaims.orUpdate);// 修改前要请求的接口（判断是否是发布过的内容： 如果发布过 不可修改 ； 未发布 可修改）
  router.post('financeclaims', '/api/financial/financeclaims/justNameId', controller.financeclaims.justNameId);// 根据金融机构ID返回债权产品（指返回名字和ID）

  // 债券需求表路由
  router.resources('claimneed', '/api/financial/claimneed', controller.claimneed); // index、create、show、destroy
  router.post('claimneed', '/api/financial/claimneed/update/:id', controller.claimneed.update);
  router.post('claimneed', '/api/financial/claimneed/fclaim', controller.claimneed.fclaim);// 根据金融机构查询债权需求(列表)--分为指向（传金融机构ID）和非指向（不用传）
  router.post('claimneed', '/api/financial/claimneed/qyclaim', controller.claimneed.qyclaim);// 根据企业用户查询
  router.post('claimneed', '/api/financial/claimneed/littleqyclaim', controller.claimneed.littleqyclaim);// 小程序企业需求查询
  router.post('claimneed', '/api/financial/claimneed/followclaim', controller.claimneed.followclaim);// 金融机构关注债权需求
  router.post('claimneed', '/api/financial/claimneed/one', controller.claimneed.one);// 债权需求详情
  router.post('claimneed', '/api/financial/claimneed/beforFollow', controller.claimneed.beforFollow);// 关注前请求的接口

  // 股权需求表路由
  router.resources('stockneed', '/api/financial/stockneed', controller.stockneed); // index、create、show、destroy
  router.post('stockneed', '/api/financial/stockneed/update/:id', controller.stockneed.update);
  router.post('stockneed', '/api/financial/stockneed/stockList', controller.stockneed.stockList);// 根据金融机构查询股权需求(列表)--分为指向（传金融机构ID）和非指向（不用传）
  router.post('stockneed', '/api/financial/stockneed/qystock', controller.stockneed.qystock);// 根据企业用户查询股权需求(列表)
  router.post('stockneed', '/api/financial/stockneed/followstock', controller.stockneed.followstock);// 金融机构关注股权需求
  router.post('claimneed', '/api/financial/stockneed/one', controller.stockneed.one);// 股权需求详情

  // 金融机构关注表
  router.resources('financefollow', '/api/financial/financefollow', controller.financefollow); // index、create、show、destroy
  router.post('financefollow', '/api/financial/financefollow/update/:id', controller.financefollow.update);
  router.post('financefollow', '/api/financial/financefollow/credit', controller.financefollow.credit);// 授信接口
  router.post('financefollow', '/api/financial/financefollow/followlist', controller.financefollow.followlist);// 授信关注债权列表
  router.post('financefollow', '/api/financial/financefollow/followstock', controller.financefollow.followstock);// 授信关注股权列表
  router.post('financefollow', '/api/financial/financefollow/followClaimHistory', controller.financefollow.followClaimHistory);// 完成债权历史列表
  router.post('financefollow', '/api/financial/financefollow/firstsuccess', controller.financefollow.firstsuccess);// 首页对接成功列表（详情）
  router.post('financefollow', '/api/financial/financefollow/finceNews', controller.financefollow.finceNews);// 前台企业债权需求详情授信信息
  router.post('financefollow', '/api/financial/financefollow/threenews', controller.financefollow.threenews);// 前台首页3条论滚对接信息

  // 理财产品表
  router.resources('managemoney', '/api/financial/managemoney', controller.managemoney); // index、create、show、destroy
  router.post('managemoney', '/api/financial/managemoney/update/:id', controller.managemoney.update);
  router.post('managemoney', '/api/financial/managemoney/mmoneyList', controller.managemoney.mmoneyList);// 获取理财产品列表
  router.post('managemoney', '/api/financial/managemoney/orUpdate', controller.managemoney.orUpdate);// 获取理财产品列表

  // 申请理财产品表
  router.resources('applymmoney', '/api/financial/applymmoney', controller.applymmoney); // index、create、show、destroy
  router.post('applymmoney', '/api/financial/applymmoney/update/:id', controller.applymmoney.update);
  router.post('applymmoney', '/api/financial/applymmoney/amlist', controller.applymmoney.amlist);// 根据金融机构ID查询申请理财信息
  router.post('applymmoney', '/api/financial/applymmoney/one', controller.applymmoney.one);//
  router.post('applymmoney', '/api/financial/applymmoney/changefollow', controller.applymmoney.changefollow);//
  router.post('applymmoney', '/api/financial/applymmoney/beforecreat', controller.applymmoney.beforecreat);// 申请前请求的接口

  // 小微贷款产品表
  router.resources('loanpro', '/api/financial/loanpro', controller.loanpro); // index、create、show、destroy
  router.post('loanpro', '/api/financial/loanpro/update/:id', controller.loanpro.update);
  router.post('loanpro', '/api/financial/loanpro/loanproList', controller.loanpro.loanproList);// 获取贷款产品列表（后台）
  router.post('loanpro', '/api/financial/loanpro/loanproListView', controller.loanpro.loanproListView);// 获取贷款产品列表（前台）

  // 小微贷款授信表
  router.resources('loanfollow', '/api/financial/loanfollow', controller.loanfollow); // index、create、show、destroy
  router.post('loanfollow', '/api/financial/loanfollow/update/:id', controller.loanfollow.update);
  router.post('loanfollow', '/api/financial/loanfollow/credit', controller.loanfollow.credit);// 授信接口
  router.post('loanfollow', '/api/financial/loanfollow/loanfList', controller.loanfollow.loanfList);// 小微数贷授信列表接口
  router.post('loanfollow', '/api/financial/loanfollow/loanfOne', controller.loanfollow.loanfOne);// 小微贷款授信详情
  router.post('loanfollow', '/api/financial/loanfollow/beforefollow', controller.loanfollow.beforefollow);// 小微投递前请求的接口

  // 数字延伸服务表设置路由
  router.resources('tDigitalService', '/api/financial/tDigitalService', controller.tDigitalService); // index、create、show、destroy
  router.post('tDigitalService', '/api/financial/tDigitalService/update/:id', controller.tDigitalService.update);

  // 融资专家表设置路由
  router.resources('tFinancingExpert', '/api/financial/tFinancingExpert', controller.tFinancingExpert); // index、create、show、destroy
  router.post('tFinancingExpert', '/api/financial/tFinancingExpert/update/:id', controller.tFinancingExpert.update);

  // 信息发布管理表设置路由
  router.get('/api/financial/tInformationDelivery/select', controller.tInformationDelivery.select);
  router.resources('tInformationDelivery', '/api/financial/tInformationDelivery', controller.tInformationDelivery); // index、create、show、destroy
  router.post('tInformationDelivery', '/api/financial/tInformationDelivery/update/:id', controller.tInformationDelivery.update);

  // 新闻中心发布管理表设置路由
  router.get('/api/financial/tNewsCenter/select', controller.tNewsCenter.select);
  router.resources('tNewsCenter', '/api/financial/tNewsCenter', controller.tNewsCenter); // index、create、show、destroy
  router.post('tNewsCenter', '/api/financial/tNewsCenter/update/:id', controller.tNewsCenter.update);

  // 政策申报内容管理表设置路由
  router.get('/api/financial/tPolicyDeclaration/select', controller.tPolicyDeclaration.select);
  router.resources('tPolicyDeclaration', '/api/financial/tPolicyDeclaration', controller.tPolicyDeclaration); // index、create、show、destroy
  router.post('tPolicyDeclaration', '/api/financial/tPolicyDeclaration/update/:id', controller.tPolicyDeclaration.update);
  router.post('tPolicyDeclaration', '/api/financial/tPolicyDeclaration/state', controller.tPolicyDeclaration.state);

  // 政策申报审批表设置路由
  router.get('/api/financial/tDeclarationApproval/check', controller.tDeclarationApproval.check);
  router.resources('tDeclarationApproval', '/api/financial/tDeclarationApproval', controller.tDeclarationApproval); // index、create、show、destroy
  router.post('tDeclarationApproval', '/api/financial/tDeclarationApproval/update/:id', controller.tDeclarationApproval.update);
  router.post('tDeclarationApproval', '/api/financial/tDeclarationApproval/state', controller.tDeclarationApproval.state);

  // 指导单位表设置路由
  router.resources('tGuidanceUnit', '/api/financial/tGuidanceUnit', controller.tGuidanceUnit); // index、create、show、destroy
  router.post('tGuidanceUnit', '/api/financial/tGuidanceUnit/update/:id', controller.tGuidanceUnit.update);

  // 政府统计路由
  router.get('/api/financial/tGovernmentStatistics/demandAmount', controller.tGovernmentStatistics.demandAmount);
  router.get('/api/financial/tGovernmentStatistics/financingSolution', controller.tGovernmentStatistics.financingSolution);
  router.get('/api/financial/tGovernmentStatistics/companyDate', controller.tGovernmentStatistics.companyDate);
  router.get('/api/financial/tGovernmentStatistics/companyIndustry', controller.tGovernmentStatistics.companyIndustry);
  router.get('/api/financial/tGovernmentStatistics/companyRegion', controller.tGovernmentStatistics.companyRegion);
  router.get('/api/financial/tGovernmentStatistics/helpBusinessesDate', controller.tGovernmentStatistics.helpBusinessesDate);
  router.get('/api/financial/tGovernmentStatistics/helpBusinessesIndustry', controller.tGovernmentStatistics.helpBusinessesIndustry);
  router.get('/api/financial/tGovernmentStatistics/helpBusinessesRegion', controller.tGovernmentStatistics.helpBusinessesRegion);
  router.get('/api/financial/tGovernmentStatistics/needCount', controller.tGovernmentStatistics.needCount);
  router.get('/api/financial/tGovernmentStatistics/financialProducts', controller.tGovernmentStatistics.financialProducts);
  router.get('/api/financial/tGovernmentStatistics/financialInstitution', controller.tGovernmentStatistics.financialInstitution);
  router.get('/api/financial/tGovernmentStatistics/pageSelect', controller.tGovernmentStatistics.pageSelect);
  router.get('/api/financial/tGovernmentStatistics/bank', controller.tGovernmentStatistics.bank);
  router.resources('tGovernmentStatistics', '/api/financial/tGovernmentStatistics', controller.tGovernmentStatistics); // index、create、show、destroy
  router.post('tGovernmentStatistics', '/api/financial/tGovernmentStatistics/update/:id', controller.tGovernmentStatistics.update);

  // 催办表设置路由
  router.get('/api/financial/tUrgeHandle/select', controller.tUrgeHandle.select);
  router.get('/api/financial/tUrgeHandle/financingSelect', controller.tUrgeHandle.financingSelect);
  router.resources('tUrgeHandle', '/api/financial/tUrgeHandle', controller.tUrgeHandle); // index、create、show、destroy
  router.post('tUrgeHandle', '/api/financial/tUrgeHandle/update/:id', controller.tUrgeHandle.update);

  // 指派表设置路由
  router.get('/api/financial/tNewAssign/select', controller.tNewAssign.select);
  router.get('/api/financial/tNewAssign/financingSelect', controller.tNewAssign.financingSelect);
  router.resources('tNewAssign', '/api/financial/tNewAssign', controller.tNewAssign); // index、create、show、destroy
  router.post('tNewAssign', '/api/financial/tNewAssign/update/:id', controller.tNewAssign.update);

  // 合作机构表设置路由
  router.resources('tCooperativeOrganization', '/api/financial/tCooperativeOrganization', controller.tCooperativeOrganization); // index、create、show、destroy
  router.post('tCooperativeOrganization', '/api/financial/tCooperativeOrganization/update/:id', controller.tCooperativeOrganization.update);

  // 政策解读表设置路由
  router.get('/api/financial/tPolicyInterpretation/select', controller.tPolicyInterpretation.select);
  router.resources('tPolicyInterpretation', '/api/financial/tPolicyInterpretation', controller.tPolicyInterpretation); // index、create、show、destroy
  router.post('tPolicyInterpretation', '/api/financial/tPolicyInterpretation/update/:id', controller.tPolicyInterpretation.update);

  // 国民经济行业分类表设置路由
  router.resources('profession', '/api/financial/profession', controller.profession); // index、create、show、destroy
  router.post('profession', '/api/financial/profession/update/:id', controller.profession.update);
  router.post('profession', '/api/financial/profession/upInfo', controller.profession.upInfo);

  // 字典表设置路由
  router.resources('dictionary', '/api/financial/dictionary', controller.dictionary); // index、create、show、destroy
  router.post('dictionary', '/api/financial/dictionary/update/:id', controller.dictionary.update);

  // 地区管理表设置路由
  router.resources('region', '/api/financial/region', controller.region); // index、create、show、destroy
  router.post('region', '/api/financial/region/update/:id', controller.region.update);

  // 操作日志设置路由
  router.resources('optlog', '/api/financial/optlog', controller.optlog); // index、create、show、destroy
  router.post('optlog', '/api/financial/optlog/update/:id', controller.optlog.update);

  // 企业联系人基本信息设置路由
  router.resources('contacts', '/api/financial/contacts', controller.contacts); // index、create、show、destroy
  router.post('contacts', '/api/financial/contacts/update/:id', controller.contacts.update);

  // 首页轮播管理设置路由
  router.resources('banner', '/api/financial/banner', controller.banner); // index、create、show、destroy
  router.post('banner', '/api/financial/banner/update/:id', controller.banner.update);

  // 首页股权债权产品查询路由
  router.post('/api/financial/searchauto/institution', controller.searchauto.institutionsearch); // 股权首页查询
  router.post('/api/financial/searchauto/financeclaims', controller.searchauto.financeclaimssearch); // 债权首页查询
  router.post('/api/financial/searchauto/successnum', controller.searchauto.successnum); // successnum

  // 企业中台信息中心
  router.resources('viewnews', '/api/financial/viewnews', controller.viewnews); // index、create、show、destroy
  router.post('viewnews', '/api/financial/viewnews/update/:id', controller.viewnews.update); // 企业中台信息中心
  router.post('viewnews', '/api/financial/viewnews/select', controller.viewnews.select); // 根据企业ID查询相关信息中心

  // 智能对接表设置路由
  router.resources('smartdocking', '/api/financial/smartdocking', controller.smartdocking); // index、create、show、destroy
  router.post('smartdocking', '/api/financial/smartdocking/update/:id', controller.smartdocking.update);
  router.post('smartdocking', '/api/financial/smartdocking/docking', controller.smartdocking.docking); // 门户网站银企对接接口
  router.post('smartdocking', '/api/financial/smartdocking/companySearch', controller.smartdocking.companySearch); // 企业查询智能对接历史记录接口

  // 智能对接-clq
  router.resources('intelligentDocking', '/api/financial/intelligentDocking', controller.intelligentDocking); // index、create、show、destroy
  router.post('intelligentDocking', '/api/financial/intelligentDocking/update/:id', controller.intelligentDocking.update);
  router.post('intelligentDocking', '/api/financial/intelligentDocking/intelligentDocking', controller.intelligentDocking.intelligentDocking); // 门户网站银企对接接口
  router.post('intelligentDocking', '/api/financial/intelligentDocking/dockingSearch', controller.intelligentDocking.dockingSearch); // 查询智能对接历史记录接口
  router.post('intelligentDocking', '/api/financial/intelligentDocking/refuseDocking', controller.intelligentDocking.refuseDocking); // 拒绝对接接口

  // 银企对接 关注表
  router.resources('intelligentFollow', '/api/financial/intelligentFollow', controller.intelligentFollow); // index、create、show、destroy
  router.post('intelligentFollow', '/api/financial/intelligentFollow/update/:id', controller.intelligentFollow.update);
  router.post('intelligentFollow', '/api/financial/intelligentFollow/credit', controller.intelligentFollow.credit);// 授信接口
  router.post('intelligentFollow', '/api/financial/intelligentFollow/followIntelligent', controller.intelligentFollow.followIntelligent);// 关注接口
  router.post('intelligentFollow', '/api/financial/intelligentFollow/beforFollow', controller.intelligentFollow.beforFollow);// 关注前请求的接口
  router.post('intelligentFollow', '/api/financial/intelligentFollow/getFollowList', controller.intelligentFollow.getFollowList);// 关注列表
  router.post('intelligentFollow', '/api/financial/intelligentFollow/getFinishList', controller.intelligentFollow.getFinishList);// 已完成列表
  // 验证码
  router.post('phoneMessage', '/api/financial/phoneMessage/sendMessage', controller.phoneMessage.sendMessage);
  router.post('phoneMessage', '/api/financial/phoneMessage/getMessage', controller.phoneMessage.getMessage);
  router.post('phoneMessage', '/api/financial/phoneMessage/smsRemind', controller.phoneMessage.smsRemind);

};
