'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

const sms = require('../util/aliMessage.js');
const smsUtil = require('../util/smsUtil.js');

class PhoneMessageService extends CrudService {

  // 发送验证码
  async sendMessage(data) {
    if (data.phone) {
      const res = await sms.send(data.phone);
      return res;
      // sms.send(data.phone).then(result => {
      //   console.log('短信发送成功');
      //   console.log(result);
      //   return result;
      // }, ex => {
      //   console.log('短信发送失败');
      //   console.log(ex);
      //   return ex;
      // });
    }
  }

  // 发送短信提醒:PhoneNumbers, SignName, TemplateCode, TemplateParam
  async smsRemind(data) {
    if (data.PhoneNumbers) {
      const res = await smsUtil.smsAlert(data.PhoneNumbers, '惠金信用信息服务', data.TemplateCode, data.TemplateParam);
      return res;
    }
    return '手机号有误';
  }

  // OCR : img（base64）
  async getMessage(data) {
    const url = 'https://dm-58.data.aliyun.com/rest/160601/ocr/ocr_business_license.json';
    const AppCode = '4638ef02c8e248e1b12d55b1170e4feb';
    if (data.img) {
      const bodys = { image: data.img };
      const res = await this.ctx.curl(url, {
        method: 'POST',
        headers: { Authorization: 'APPCODE ' + AppCode },
        contentType: 'application/json; charset=UTF-8',
        data: JSON.stringify(bodys),
        dataType: 'json',
      });
      // console.log('OCR返回结果========', res);
      if (res.status == 200) {
        return res.data;
      } else if (res.status == 403) {
        return '没有购买，或者购买次数用尽，或者URL错误';
      } else if (res.status == 413) {
        return '图片太大，超过1.5M';
      }
      return 'OCR 调用失败';

    }
    return '图片获取失败';
  }


}
module.exports = PhoneMessageService;

