'use strict';


const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class ProfessionService extends CrudService {
  constructor(ctx) {
    super(ctx, 'profession');
    this.model = this.ctx.model.Profession;
  }

  async upInfo() {
    const professions = await this.model.find();
    for (const profession of professions) {
      const pcode = profession.pcode;
      const pdata = await this.model.findOne({ code: pcode });
      if (!pdata && pcode !== '0') {
        const _pcode = profession.pcode.substr(0, pcode.length - 1);
        const _data = { name: profession.name, code: profession.pcode, pcode: _pcode };
        await this.model.create(_data);
      }
    }
  }

}

module.exports = ProfessionService;
