/* eslint valid-jsdoc: "off" */

'use strict';

const { jwt } = require('./config.secret');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1583919835792_8266';

  // add your middleware config here
  config.middleware = [ 'optlog' ];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.errorMongo = {
    details: true,
  };
  config.errorHanler = {
    details: true,
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 7004,
    },
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/financial',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // 安全配置
  config.security = {
    csrf: {
      // ignoreJSON: true, // 默认为 false，当设置为 true 时，将会放过所有 content-type 为 `application/json` 的请求
      enable: false,
    },
  };
  // // JWT config
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'train',
  };

  return {
    ...config,
    ...userConfig,
  };
};
